package service

import "nms_nbi/src/modules/network_data/model"

// 性能统计 服务层接口
type IPerfKPI interface {
	// SelectGoldKPI 通过网元指标数据信息
	SelectGoldKPI(query model.GoldKPIQuery) []map[string]any

	// SelectGoldKPITitle 网元对应的指标名称
	SelectGoldKPITitle(neType string) []model.GoldKPITitle

	// SelectUPFTotalFlow 查询UPF总流量 N3上行 N6下行
	SelectUPFTotalFlow(neType, rmUID string, day int) map[string]any
}
